<mat-form-field>
  <label>
    <input matInput placeholder="Поиск">
  </label>
</mat-form-field>
<table mat-table [dataSource]="dataSource" matSort matSortDisableClear class="mat-elevation-z8">

  <!-- Position Column -->
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> ID заявки</th>
    <td mat-cell *matCellDef="let element"> {{element.id}} </td>
  </ng-container>

  <!-- Name Column -->
  <ng-container matColumnDef="date">
    <th mat-header-cell *matHeaderCellDef mat-sort-header> Дата</th>
    <td mat-cell *matCellDef="let element"> {{element.date}} </td>
  </ng-container>

  <ng-container matColumnDef="email">
    <th mat-header-cell *matHeaderCellDef> Email</th>
    <td mat-cell *matCellDef="let element"> {{element.email}} </td>
  </ng-container>

  <ng-container matColumnDef="message">
    <th mat-header-cell class="width-comment" *matHeaderCellDef> Сообщение</th>
    <td mat-cell class="width-comment" *matCellDef="let element"> {{element.message}} </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>

<mat-paginator [length]="length"
               [pageSize]="pageSize"
               [pageSizeOptions]="pageSizeOptions">
</mat-paginator>

<button (click)="record()">Record</button>
<button (click)="stop()">stop</button>
